*,
*:before,
*:after {
    box-sizing: border-box;
    outline: none;
}

body {
    display: flex;
    /*this is mostly for the preloader*/
    min-height: 100vh;
    max-width: 2545px;
    margin: 0 auto;
    padding: 0%rem;
    border-left: 0px solid #333;
    border-right: 0px solid #333;
    background-color: #0000cd;
    color: #ffffff;
}

/*preloader styling*/
.loader {
    margin-left: auto;
    margin-right: auto;
    margin-top: auto;
    margin-bottom: auto;
    position: relative;
    display: grid;
    grid-template-columns:
        33% 33% 33%;
    grid-gap: 4px;
    width: 200px;
    height: 200px;
}

.loader>div {
    position: relative;
    width: 100%;
    height: 100%;
    background: #9b111e;
    transform: scale(0);
    transform-origin: center center;
    animation: loader 2s infinite linear;
}

.loader>div:nth-of-type(1),
.loader>div:nth-of-type(5),
.loader>div:nth-of-type(9) {
    animation-delay: 0.4s;
}

.loader>div:nth-of-type(4),
.loader>div:nth-of-type(8) {
    animation-delay: 0.2s;
}

.loader>div:nth-of-type(2),
.loader>div:nth-of-type(6) {
    animation-delay: 0.6s;
}

.loader>div:nth-of-type(3) {
    animation-delay: 0.8s;
}

@keyframes loader {
    0% {
        transform: scale(0);
    }

    40% {
        transform: scale(1);
    }

    80% {
        transform: scale(1);
    }

    100% {
        transform: scale(0);
    }
}

.hidden {
    display: none;
}

/* WebKit Browsers colorize scrollbar */
::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    background: #aa4e57;
}

::-webkit-scrollbar-thumb {
    background: #9b111e;
    border-radius: 6px;
}

::-webkit-scrollbar-thumb:hover {
    background: #9b111e;
}

/* Scrollbar buttons */
::-webkit-scrollbar-button {
    background: black;
    /* Keep the arrows black */
}

::-webkit-scrollbar-button:increment,
::-webkit-scrollbar-button:decrement {
    display: block;
    /* Ensure the buttons are displayed */
}

/* Firefox */
html {
    scrollbar-width: thin;
    scrollbar-color: #9b111e #aa4e57;
}

/*end scrollbar colorize*/

/*breadcrumbs*/
.search-and-breadcrumb-table {
    width: 100%;
}

.hamburger-container {
    width: 5%;
}

.search-cell {
    /* width: 12%; */
    padding-top: 1%;
    text-align: left;
}

.breadcrumb-cell {
    padding-top: 2%;
    text-align: center;
    display: flex;
    align-items: left;
    transition: background-color 1.0s;
    color: #ffffff;
    white-space: nowrap;
}

.breadcrumb-cell a {
    background-color: #9b111e;
    transition: background-color 1.0s;
    /*new section for chevrons */
    padding: 6px 14px;
    margin-right: 6px;
    display: inline-block;
    clip-path: polygon(0 0,
            90% 0,
            100% 50%,
            90% 100%,
            0 100%,
            5% 50%);
}

.breadcrumb-cell a:hover {
    background-color: #ffffff;
    color: #807970;
}

/*new span section for non-linked breadcrumb*/
.breadcrumb-cell span {
    background-color: #807970;
    padding: 6px 14px;
    margin-right: 6px;
    display: inline-block;
    clip-path: polygon(0 0,
            100% 0,
            100% 50%,
            100% 100%,
            0 100%,
            5% 50%);
}

.crumb {
    display: inline-block;
    filter: drop-shadow(5px 10px 5px #000000);
}

.crumb-current {
    display: inline-block;
    filter: drop-shadow(5px 1px 5px #000000);
    transform: translateY(3px);
}

.crumb a,
.crumb span {
    display: inline-block;
}

.toggle-switch-cell {
    padding-top: 1%;
    text-align: right;
}

/*mobile device hamburger menu*/
.sidebar {
    list-style-type: none;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: #0000cdbb;
    backdrop-filter: blur(2px);
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.sidebar li {
    list-style-type: none;
    width: 100%;
    height: 50px;
}

.sidebar-nest {
    position: absolute;
    visibility: hidden;
    text-align: center;
    align-items: center;
    height: 5%;
    width: 90%;
    background-color: rgba(51, 21, 21, 0.1);
}

.sidebar-main-content:hover .sidebar-nest {
    visibility: visible;
    display: flex;
}

/*search box*/
.image-container {
    text-align: center;
}

.center-image {
    display: inline-block;
}

/*nav to bottom buttons*/

.nav-to-bottom {
    width: 100%;
    background-color: #9b111e;
    text-align: left;
    color: white;
}

.nav-to-bottom-right {
    text-align: right;
    size: 50%;
}

.nav-to-bottom-right a:hover {
    background-color: #9b111e !important;
}

.nav-to-bottom-left {
    text-align: left;
    size: 50%;
}

.nav-to-bottom-left a:hover {
    background-color: #9b111e !important;
}

/*red content*/
.red-content {
    width: 100%;
    background-color: #9b111e;
    text-align: left;
    color: white;
    padding-top: 1%;
    padding-bottom: 1%;
}

/*underline text in the a*/
.red-content a {
    position: relative;
    color: white;
    text-decoration: none;
}

.red-content a::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    bottom: -2px;
    left: 0;
    background-color: white;
    visibility: hidden;
    transition: all 0.6s ease-in-out;
}

.red-content a:hover::after {
    visibility: visible;
    width: 100%;
}

/*old flip colors style*/
/* .red-content a:hover {
    background-color: #ffffff;
    color: #9b111e;
} */

/*blue content*/
.blue-content {
    width: 100%;
    background-color: #0000cd;
    text-align: left;
    color: white;
    padding-top: 1%;
    padding-bottom: 1%;
}

/*underline text in the a*/
.blue-content a {
    position: relative;
    color: white;
    text-decoration: none;
}

.blue-content a::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    bottom: -2px;
    left: 0;
    background-color: white;
    visibility: hidden;
    transition: all 0.6s ease-in-out;
}

.blue-content a:hover::after {
    visibility: visible;
    width: 100%;
}

/*old flip colors style*/
/* .blue-content a:hover {
    background-color: #ffffff;
    color: #0000cd;
} */

/*content photos*/
.content-photos {
    width: 100%;
    background-color: rgba(26, 24, 24, 0.8);
    /*new stuff*/
    display: flex;
    justify-content: left;
    align-items: left;
    flex-wrap: wrap;
}

/*photo size toggle*/
.thumbnail {
    cursor: pointer;
    margin: 10px;
    width: 300px;
    height: 260px;
    border-radius: 25px;
    display: inline-block;
    border: none;
    padding: 0px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    cursor: pointer;
    padding: 0px;
    transition: box-shadow 0.6s ease, transform 0.2s ease;
}

.thumbnail:hover {
    box-shadow: 0px 0px 20px 15px rgba(255, 255, 255, 0.75);
    /* Glowing corners */
    transform: scale(1.05);
    /* Slight scaling for dynamic effect */
}

.fullsize {
    display: none;
    cursor: pointer;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    background-color: rgba(0, 0, 0, 0.8);
}

/*back to top*/
.back-to-top {
    width: 100%;
    text-align: center;
}

/*scroll buttons*/
#scroll-buttons {
    position: fixed;
    right: -80px;
    /* hidden off-screen */
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 12px;
    transition: right 1.0s ease;
    z-index: 9999;
}

.scroll-btn {
    /* width: 48px;
    height: 48px; moved to responsive */
    cursor: pointer;
    transition: transform 0.2s ease;
}

.scroll-btn:hover {
    transform: scale(1.1);
}

/* When scrolling begins, JS adds this class */
/* #scroll-buttons.visible {
    right: 20px; */
/* slide into view */
/* } moved to responsive */

/*html bottom links*/
#links-container {
    text-align: center;
}

.back-r {
    padding-left: 76%;
}

.back-l {
    padding-right: 76%;
}

/*html bottom links*/
#links-container {
    text-align: center;
}

#links-container a:hover {
    background-color: #ffffff;
    color: #0000cd;
}

/*page numbering*/
.pagination {
    display: flex;
    justify-content: left;
    list-style-type: none;
    padding: .5%;
}

.pagination li {
    margin: 0 5px;
}

/*moved to responsive area*/
/* .pagination a {
    text-decoration: none;
    color: #007bff;
    padding: 8px 16px;
    border: 1px solid #ddd;
    border-radius: 4px;
} */

.pagination a:hover {
    background-color: #f1f1f1;
}

.pagination a.active {
    background-color: #007bff;
    color: white;
    border: 1px solid #007bff;
}

.disabled {
    color: gray !important;
    pointer-events: none;
    /* Disable click events */
    cursor: default;
    /* Change cursor to default */
    text-decoration: none;
    /* Remove underline */
}

.page {
    display: flex;
    flex-direction: row;
}

.page-paragraph {
    line-height: 2;
}

/*fonts sizes*/
h1,
h2,
h3 {
    font-size: 1.2em;
}

table {
    font-size: 1em;
}

nav {
    font-size: .9em;
}

/*small tablet styles*/
@media screen and (min-width: 300px) {

    body {
        font-size: 8px;
    }

    article {
        padding-left: 10%;
        padding-right: 10%;
    }

    .thumbnail {
        width: 75px;
        height: 65px;
    }

    .back-img {
        max-width: 10%;
        max-height: auto;
    }

    .scroll-btn {
        width: 26px;
        height: 26px;
    }

    /* When scrolling begins, JS adds this class */
    #scroll-buttons.visible {
        right: 7px;
        /* slide into view */
    }

    .to-bottom-img {
        max-width: 10%;
        max-height: auto;
    }

    /*cascading menu*/
    .side-menu {
        width: 0%;
        background-color: #0000cd;
        border-right: 1px solid #000000;
        position: absolute;
        top: 10%;
        height: 7%;
        overflow: hidden;
        z-index: 1000;
        /* Keep menu above other elements */
    }

    .side-menu ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }

    .side-menu ul li {
        padding: 3px;
        cursor: pointer;
    }

    .side-menu ul li:hover {
        background-color: #9b111e;
    }

    .sub-menu {
        padding-left: 20px;
    }

    .hamburger {
        width: 48px;
        height: 48px;
    }

    .sidebar {
        width: 100%;
    }

    .pagination a {
        text-decoration: none;
        color: #007bff;
        padding: 4px 8px;
        border: 1px solid #ddd;
        border-radius: 4px;
    }

    /*breadcrumbs screen size toggle*/
    .large-screen-crumbs {
        display: none;
    }

    .small-screen-crumbs {
        display: contents;
    }

    .small-crumb {
        display: flex;
        gap: 2px;
    }

    .small-screen-crumbs .breadcrumb-cell a,
    .small-screen-crumbs a {
        padding: 4px 6px;
        margin-right: 0px;
    }

    .small-screen-crumbs a {
        clip-path: polygon(0 0,
                88% 0,
                100% 50%,
                88% 100%,
                0 100%,
                6% 50%);
    }

}

/* large tablets and laptop styles*/
@media screen and (min-width: 860px) {

    body {
        font-size: 13px;
    }

    article {
        padding-left: 5%;
        padding-right: 5%;
    }

    .thumbnail {
        width: 150px;
        height: 130px;
    }

    .back-img {
        max-width: 30%;
        max-height: auto;
    }

    .to-bottom-img {
        max-width: 30%;
        max-height: auto;
    }

    .scroll-btn {
        width: 36px;
        height: 36px;
    }

    /* When scrolling begins, JS adds this class */
    #scroll-buttons.visible {
        right: 7px;
        /* slide into view */
    }

    /*cascading menu*/
    .side-menu {
        width: 0%;
        background-color: #0000cd;
        border-right: 1px solid #000000;
        position: absolute;
        top: 15%;
        height: 14%;
        overflow: hidden;
        z-index: 1000;
        /* Keep menu above other elements */
    }

    .side-menu ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }

    .side-menu ul li {
        padding: 4px;
        cursor: pointer;
    }

    .side-menu ul li:hover {
        background-color: #9b111e;
    }

    .sub-menu {
        padding-left: 20px;
    }

    .hamburger {
        width: 80px;
        height: 80px;
    }

    .sidebar {
        width: 50%;
    }

    /*breadcrumbs screen size toggle*/
    .large-screen-crumbs {
        display: contents;
    }

    .small-screen-crumbs {
        display: none;
    }
}

/*desktop styles */
@media screen and (min-width: 1400px) {

    body {
        font-size: 18px;
    }

    article {
        padding-left: 5%;
        padding-right: 5%;
    }

    .thumbnail {
        width: 300px;
        height: 260px;
    }

    .back-img {
        top: 25%;
    }

    .to-bottom-img {
        top: 25%;
    }

    .scroll-btn {
        width: 48px;
        height: 48px;
    }

    /* When scrolling begins, JS adds this class */
    #scroll-buttons.visible {
        right: 20px;
        /* slide into view */
    }

    /*cascading menu*/
    .side-menu {
        width: 7%;
        background-color: #0000cd;
        border-right: 1px solid #000000;
        position: absolute;
        top: 28.5%;
        height: 20%;
        overflow: hidden;
        z-index: 1000;
        /* Keep menu above other elements */
    }

    .side-menu ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }

    .side-menu ul li {
        padding: 10px;
        cursor: pointer;
    }

    .side-menu ul li:hover {
        background-color: #9b111e;
    }

    .sub-menu {
        padding-left: 20px;
    }

    .hamburger {
        width: 100px;
        height: 100px;
    }

    .sidebar {
        font-size: 1.5rem;
    }

    .sidebar li {
        padding: 5%;
    }

    /*breadcrumbs screen size toggle*/
    .large-screen-crumbs {
        display: contents;
    }

    .small-screen-crumbs {
        display: none;
    }

    /* Applies to both main and submenu links */
    .side-menu a {
        position: relative;
        color: white;
        text-decoration: none;
        display: inline-block;
        width: 100%;
        /* Ensures full-width clickable area */
        padding-bottom: 2px;
        transition: color 0.3s ease;
    }

    /* Animated white underline */
    .side-menu a::after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        width: 0%;
        height: 2px;
        background-color: white;
        transition: width 0.6s ease;
    }

    /* Animate underline on hover */
    .side-menu a:hover::after {
        width: 100%;
    }

    /*resizing page numbering depending on screensize*/
    .pagination a {
        text-decoration: none;
        color: #007bff;
        padding: 8px 16px;
        border: 1px solid #ddd;
        border-radius: 4px;
    }
}